Index: configure
===================================================================
Cannot display: file marked as a binary type.
svn:mime-type = application/octet-stream
Index: apps/app_queue.c
===================================================================
--- apps/app_queue.c	(revision 271976)
+++ apps/app_queue.c	(working copy)
@@ -3162,7 +3162,7 @@
 }
 
 /*! \brief RNA == Ring No Answer. Common code that is executed when we try a queue member and they don't answer. */
-static void rna(int rnatime, struct queue_ent *qe, char *interface, char *membername, int pause)
+static void rna(int rnatime, struct queue_ent *qe, char *interface, char *membername, int pause, int reason)
 {
 	ast_verb(3, "Nobody picked up in %d ms\n", rnatime);
 
@@ -3181,6 +3181,7 @@
 						"Channel: %s\r\n"
 						"Member: %s\r\n"
 						"MemberName: %s\r\n"
+						"Reason: %d\r\n"
 						"Ringtime: %d\r\n"
 						"%s",
 						qe->parent->name,
@@ -3188,6 +3189,7 @@
 						qe->chan->name,
 						interface,
 						membername,
+						reason,
 						rnatime,
 						qe->parent->eventwhencalled == QUEUE_EVENT_VARIABLES ? vars2manager(qe->chan, vars, sizeof(vars)) : "");
 	}
@@ -3480,10 +3482,10 @@
 							ast_verb(3, "%s is busy\n", ochan_name);
 							if (in->cdr)
 								ast_cdr_busy(in->cdr);
-							do_hang(o);
 							endtime = (long) time(NULL);
 							endtime -= starttime;
-							rna(endtime * 1000, qe, on, membername, 0);
+							rna(endtime * 1000, qe, on, membername, 0, o->chan->hangupcause);
+							do_hang(o);
 							if (qe->parent->strategy != QUEUE_STRATEGY_RINGALL) {
 								if (qe->parent->timeoutrestart)
 									*to = orig;
@@ -3501,7 +3503,7 @@
 								ast_cdr_busy(in->cdr);
 							endtime = (long) time(NULL);
 							endtime -= starttime;
-							rna(endtime * 1000, qe, on, membername, 0);
+							rna(endtime * 1000, qe, on, membername, 0, o->chan->hangupcause);
 							do_hang(o);
 							if (qe->parent->strategy != QUEUE_STRATEGY_RINGALL) {
 								if (qe->parent->timeoutrestart)
@@ -3571,7 +3573,7 @@
 					ast_frfree(f);
 				} else { /* ast_read() returned NULL */
 					endtime = (long) time(NULL) - starttime;
-					rna(endtime * 1000, qe, on, membername, 1);
+					rna(endtime * 1000, qe, on, membername, 1, o->chan->hangupcause);
 					do_hang(o);
 					if (qe->parent->strategy != QUEUE_STRATEGY_RINGALL) {
 						if (qe->parent->timeoutrestart)
@@ -3615,8 +3617,9 @@
 			ast_frfree(f);
 		}
 		if (!*to) {
-			for (o = start; o; o = o->call_next)
-				rna(orig, qe, o->interface, o->member->membername, 1);
+			for (o = start; o; o = o->call_next) {
+				rna(orig, qe, o->interface, o->member->membername, 1, AST_CAUSE_NOANSWER);
+			}
 		}
 	}
 
Index: doc/tex/queuelog.tex
===================================================================
--- doc/tex/queuelog.tex	(revision 271976)
+++ doc/tex/queuelog.tex	(working copy)
@@ -95,7 +95,7 @@
 
 The queueing system has been started for the first time this session.
 
-\textbf{RINGNOANSWER(ringtime)}
+\textbf{RINGNOANSWER(ringtime$|$hangupcause)}
 
 After trying for ringtime ms to connect to the available queue member,
 the attempt ended without the member picking up the call. Bad queue
